POST /v1/sandboxes/{id}/volumes/{mount}
Authorization
bearerAuth In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
{mount} is the URL-encoded absolute mount path (e.g. %2Fdata).
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/sandboxes/string/volumes/string" \ -H "Content-Type: application/json" \ -d '{ "volume": "string" }'{ "id": "string", "sandbox_id": "string", "volume_id": "string", "volume_name": "string", "mount_path": "string", "read_only": true, "subdir": "string", "state": "pending", "generation": 0, "base_commit_id": "string", "mounted_commit_id": "string", "pinned_commit_id": "string", "last_commit_id": "string", "last_commit_at": "string", "dirty_bytes": 0, "unflushed": true, "error": "string", "share": "node", "share_effective": "node", "share_fallback_reason": "string", "stale": true, "durability": "commit", "exclusive": true, "required": true, "code": "string", "retry_at": "string", "attempts": 0, "bytes": 0, "max_bytes": 0, "created_at": "string"}{ "id": "string", "sandbox_id": "string", "volume_id": "string", "volume_name": "string", "mount_path": "string", "read_only": true, "subdir": "string", "state": "pending", "generation": 0, "base_commit_id": "string", "mounted_commit_id": "string", "pinned_commit_id": "string", "last_commit_id": "string", "last_commit_at": "string", "dirty_bytes": 0, "unflushed": true, "error": "string", "share": "node", "share_effective": "node", "share_fallback_reason": "string", "stale": true, "durability": "commit", "exclusive": true, "required": true, "code": "string", "retry_at": "string", "attempts": 0, "bytes": 0, "max_bytes": 0, "created_at": "string"}{ "error": "string", "code": "string", "limit": "string", "max": 0, "used": 0, "requested": 0, "reason": "string"}